

#include "BUILTIN.h"
extern OBJ _APErr_7(OBJ,OBJ,OBJ);extern OBJ __APErr_7;
extern OBJ __APErr_16;
extern OBJ __APreDef_4;

#include "Denotation.h"
extern OBJ __AAbsy_2;
extern OBJ __ASeq_6;
extern OBJ __AOcError_15;

#include "Nat.h"

#include "Array.h"

#include "Char.h"

#include "Int.h"
extern OBJ _AImpl_10(OBJ);extern OBJ __AImpl_10;
extern OBJ _AImpl_84(OBJ);extern OBJ __AImpl_84;
extern OBJ _AImpl_92(OBJ);extern OBJ __AImpl_92;
extern OBJ _AImpl_102(OBJ);extern OBJ __AImpl_102;

#include "Bitset.h"
OBJ __AModForm_1; /* modExQuant */
OBJ __AModForm_2; /* modAllQuant */
OBJ __AModForm_3; /* modQuant */
OBJ __AModForm_4; /* modEqual */
OBJ __AModForm_5; /* modEqu */
OBJ __AModForm_6; /* modIneq */
OBJ __AModForm_7; /* modDfd */
OBJ __AModForm_8; /* modNeg */
OBJ __AModForm_9; /* modAnd */
OBJ __AModForm_10; /* modOr */
OBJ __AModForm_11; /* modImply */
OBJ __AModForm_12; /* modEqv */
OBJ __AModForm_13; /* modProp */
OBJ __AModForm_14; /* postCheckForm */
OBJ __AModForm_15; /* modSpec */
extern OBJ _AModForm_21(OBJ,OBJ);OBJ __AModForm_21; /* mEqu */
extern OBJ _AModForm_22(OBJ,OBJ);OBJ __AModForm_22; /* mIneq */
extern OBJ _AModForm_23(OBJ,OBJ);OBJ __AModForm_23; /* mDfd */
extern TUP2 _AModForm_24(OBJ);OBJ __AModForm_24; /* pCF */
OBJ __AModForm_25; /* pCF'25 */
extern OBJ _AModForm_26(OBJ);OBJ __AModForm_26; /* pCF'26 */
extern OBJ _AModForm_27(OBJ,OBJ);OBJ __AModForm_27; /* modExQuant'27 */
extern OBJ _AModForm_28(OBJ,OBJ);OBJ __AModForm_28; /* modAllQuant'28 */
extern OBJ _AModForm_29(OBJ,OBJ);OBJ __AModForm_29; /* modQuant'29 */
extern OBJ _AModForm_30(OBJ,OBJ);OBJ __AModForm_30; /* modEqual'30 */
extern OBJ _AModForm_31(OBJ,OBJ);OBJ __AModForm_31; /* modEqu'31 */
extern OBJ _AModForm_32(OBJ,OBJ);OBJ __AModForm_32; /* modIneq'32 */
extern OBJ _AModForm_33(OBJ,OBJ);OBJ __AModForm_33; /* modDfd'33 */
extern OBJ _AModForm_34(OBJ,OBJ);OBJ __AModForm_34; /* modNeg'34 */
extern OBJ _AModForm_35(OBJ,OBJ);OBJ __AModForm_35; /* modAnd'35 */
extern OBJ _AModForm_36(OBJ,OBJ);OBJ __AModForm_36; /* modOr'36 */
extern OBJ _AModForm_37(OBJ,OBJ);OBJ __AModForm_37; /* modImply'37 */
extern OBJ _AModForm_38(OBJ,OBJ);OBJ __AModForm_38; /* modEqv'38 */
extern OBJ _AModForm_39(OBJ,OBJ);OBJ __AModForm_39; /* modProp'39 */
extern OBJ _AModForm_40(OBJ);OBJ __AModForm_40; /* postCheckForm'40 */
extern OBJ _AModForm_41(OBJ,OBJ);OBJ __AModForm_41; /* modSpec'41 */

extern OBJ _AModForm_21(OBJ x1,OBJ x2) /* mEqu */
{OBJ r;
 if(ISPRM(x1)){
  if(ISPRD(x2)&&(ISTGPRD(x2,14))){
   {OBJ x42=FLD(x2,1);FLAG x_x2=EXPRD(x2,1);
    if(x_x2){
     CPPRD(x42,1);
    }else{
     CPPRD(x42,2);}
    {OBJ x43;OBJ x44;OBJ x45;
     x43=_AImpl_10(x42);
     COPY(x43,1);
     if(x_x2){
      RPRD(x2,x44);CHGTG(x44,0);FLD(x44,1)=x43;
     }else{
      FRPRD(x2,1);PRD(1,0,x44);FLD(x44,1)=x43;}
     PRD(3,1,x45);FLD(x45,1)=x44;FLD(x45,2)=x42;FLD(x45,3)=x43;
     PRD(1,12,r);FLD(r,1)=x45;}}
  }else{
   FREE(x2,1);
   r=__AAbsy_2;}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   {OBJ x38=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
    if(x_x1){
    }else{
     COPY(x38,1);}
    if(ISPRD(x2)&&(ISTGPRD(x2,14))){
     {OBJ x39=FLD(x2,1);
      if(EXPRD(x2,1)){
       COPY(x38,1);
       {OBJ x40;OBJ x41;
	if(x_x1){
	 RPRD(x1,x40);CHGTG(x40,0);
	}else{
	 FRPRD(x1,1);PRD(1,0,x40);FLD(x40,1)=x38;}
	PRD(3,1,x41);FLD(x41,1)=x40;FLD(x41,2)=x39;FLD(x41,3)=x38;
	RPRD(x2,r);CHGTG(r,12);FLD(r,1)=x41;}
      }else{
       CPPRD(x39,1);
       COPY(x38,1);
       {OBJ x40;OBJ x41;
	if(x_x1){
	 RPRD(x1,x40);CHGTG(x40,0);
	}else{
	 FRPRD(x1,1);PRD(1,0,x40);FLD(x40,1)=x38;}
	PRD(3,1,x41);FLD(x41,1)=x40;FLD(x41,2)=x39;FLD(x41,3)=x38;
	FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x41;}}}
    }else{
     if(x_x1){
      DSPRDF(x1);
     }else{
      FRPRD(x1,1);}
     FREE(x2,1);
     FREE(x38,1);
     r=__AAbsy_2;}}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_22(OBJ x1,OBJ x2) /* mIneq */
{OBJ r;
 if(ISPRM(x1)){
  if(ISPRD(x2)&&(ISTGPRD(x2,14))){
   {OBJ x42=FLD(x2,1);FLAG x_x2=EXPRD(x2,1);
    if(x_x2){
     CPPRD(x42,1);
    }else{
     CPPRD(x42,2);}
    {OBJ x43;OBJ x44;OBJ x45;
     x43=_AImpl_10(x42);
     COPY(x43,1);
     if(x_x2){
      RPRD(x2,x44);CHGTG(x44,0);FLD(x44,1)=x43;
     }else{
      FRPRD(x2,1);PRD(1,0,x44);FLD(x44,1)=x43;}
     PRD(3,2,x45);FLD(x45,1)=x44;FLD(x45,2)=x42;FLD(x45,3)=x43;
     PRD(1,12,r);FLD(r,1)=x45;}}
  }else{
   FREE(x2,1);
   r=__AAbsy_2;}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   {OBJ x38=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
    if(x_x1){
    }else{
     COPY(x38,1);}
    if(ISPRD(x2)&&(ISTGPRD(x2,14))){
     {OBJ x39=FLD(x2,1);
      if(EXPRD(x2,1)){
       COPY(x38,1);
       {OBJ x40;OBJ x41;
	if(x_x1){
	 RPRD(x1,x40);CHGTG(x40,0);
	}else{
	 FRPRD(x1,1);PRD(1,0,x40);FLD(x40,1)=x38;}
	PRD(3,2,x41);FLD(x41,1)=x40;FLD(x41,2)=x39;FLD(x41,3)=x38;
	RPRD(x2,r);CHGTG(r,12);FLD(r,1)=x41;}
      }else{
       CPPRD(x39,1);
       COPY(x38,1);
       {OBJ x40;OBJ x41;
	if(x_x1){
	 RPRD(x1,x40);CHGTG(x40,0);
	}else{
	 FRPRD(x1,1);PRD(1,0,x40);FLD(x40,1)=x38;}
	PRD(3,2,x41);FLD(x41,1)=x40;FLD(x41,2)=x39;FLD(x41,3)=x38;
	FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x41;}}}
    }else{
     if(x_x1){
      DSPRDF(x1);
     }else{
      FRPRD(x1,1);}
     FREE(x2,1);
     FREE(x38,1);
     r=__AAbsy_2;}}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_23(OBJ x1,OBJ x2) /* mDfd */
{OBJ r;
 if(ISPRM(x1)){
  if(ISPRD(x2)&&(ISTGPRD(x2,14))){
   {OBJ x35=FLD(x2,1);
    if(EXPRD(x2,1)){
     CPPRD(x35,1);
     {OBJ x36;OBJ x37;
      x36=_AImpl_10(x35);
      PRD(2,0,x37);FLD(x37,1)=x35;FLD(x37,2)=x36;
      RPRD(x2,r);CHGTG(r,12);FLD(r,1)=x37;}
    }else{
     CPPRD(x35,2);
     {OBJ x36;OBJ x37;
      x36=_AImpl_10(x35);
      PRD(2,0,x37);FLD(x37,1)=x35;FLD(x37,2)=x36;
      FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x37;}}}
  }else{
   FREE(x2,1);
   r=__AAbsy_2;}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   {OBJ x32=FLD(x1,1);
    if(EXPRD(x1,1)){
     DSPRDF(x1);
    }else{
     COPY(x32,1);
     FRPRD(x1,1);}
    if(ISPRD(x2)&&(ISTGPRD(x2,14))){
     {OBJ x33=FLD(x2,1);
      if(EXPRD(x2,1)){
       {OBJ x34;
	PRD(2,0,x34);FLD(x34,1)=x33;FLD(x34,2)=x32;
	RPRD(x2,r);CHGTG(r,12);FLD(r,1)=x34;}
      }else{
       CPPRD(x33,1);
       {OBJ x34;
	PRD(2,0,x34);FLD(x34,1)=x33;FLD(x34,2)=x32;
	FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x34;}}}
    }else{
     FREE(x2,1);
     FREE(x32,1);
     r=__AAbsy_2;}}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern TUP2 _AModForm_24(OBJ x1) /* pCF */
{TUP2 r;
 if(ISPRD(x1)&&(ISTGPRD(x1,12))){
  {OBJ x78=FLD(x1,1);
   CPPRD(x78,1);
   if(ISTGPRD(x78,0)){
    if(EXPRD(x78,1)){
     DSPRD(x78);
    }else{
     DCPRD(x78,1);}
    CPPRD(__AOcError_15,1);
    r.c1=__AOcError_15;r.c2=x1;
   }else{
    if(ISTGPRD(x78,1)){
     {OBJ x81=FLD(x78,1);OBJ x82=FLD(x78,2);
      CPPRD(x81,1);CPPRD(x82,1);
      if(EXPRD(x78,1)){
       DSPRD(x78);
      }else{
       DCPRD(x78,1);}
      if(ISTGPRD(x82,7)){
       if(EXPRD(x82,1)){
	DSPRD(x82);
       }else{
	DCPRD(x82,1);}
       if(EXPRD(x1,1)){
	FRPRD(FLD(x1,1),1);DSPRDF(x1);
       }else{
	DCPRD(x1,1);}
       CPPRD(__AOcError_15,1);
       PRD(1,14,r.c2);FLD(r.c2,1)=x81;
       r.c1=__AOcError_15;
      }else{
       FRPRD(x81,1);
       FRPRD(x82,1);
       CPPRD(__AOcError_15,1);
       r.c1=__AOcError_15;r.c2=x1;}}
    }else{
     FRPRD(x78,1);
     CPPRD(__AOcError_15,1);
     r.c1=__AOcError_15;r.c2=x1;}}}
 }else{
  if(ISPRD(x1)&&(ISTGPRD(x1,14))){
   CPPRD(__AOcError_15,1);
   r.c1=__AOcError_15;r.c2=x1;
  }else{
   FREE(x1,1);
   CPCLS(__AModForm_26,1);
   r.c1=(*(OBJ(*)(OBJ,OBJ))METHOD(__AModForm_26,1))(__AModForm_26,__ABUILTIN_20);
   r.c2=__AAbsy_2;}}
 return r;}
extern OBJ _AModForm_24_c(OBJ x1) /* pCF */
{OBJ r;
 {TUP2 t=_AModForm_24(x1);
  PRD1(2,r);
  FLD1(r,1)=t.c1;
  FLD1(r,2)=t.c2;}
 return r;}

extern OBJ _AModForm_26(OBJ x1) /* pCF'26 */
{OBJ r;
 CPPRD(__AModForm_25,1);
 COPY(__APErr_16,1);
 r=_APErr_7(__AModForm_25,__APErr_16,__ASeq_6);
 return r;}

extern OBJ _AModForm_27(OBJ x1,OBJ x2) /* modExQuant'27 */
{OBJ r;
 {OBJ x3;OBJ x5;
  if(ISPRM(x1)){
   x3=__ABUILTIN_5;
  }else{
   FREE(x1,1);
   x3=__ABUILTIN_3;}
  if(ISTGPRM(x3,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x5=__ABUILTIN_5;
   }else{
    x5=__ABUILTIN_3;}
  }else{
   x5=__ABUILTIN_3;}
  if(ISTGPRM(x5,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    {OBJ x32=FLD(x2,1);
     CPPRD(x32,1);
     if(ISTGPRD(x32,9)){
      if(EXPRD(x32,1)){
       DSPRD(x32);
      }else{
       DCPRD(x32,1);}
      r=x2;
     }else{
      if(EXPRD(x2,1)){
       FRPRD(FLD(x2,1),1);DSPRDF(x2);
      }else{
       DCPRD(x2,1);}
      CPPRD(x32,2);
      {OBJ x36;OBJ x37;
       x36=_AImpl_92(x32);
       x37=_AImpl_84(x32);
       if(ISTGPRD(x32,8)){
	{OBJ x38;FLAG x_x32=EXPRD(x32,1);
	 if(x_x32){
	 }else{
	  x38=FLD(x32,1);COPY(x38,1);}
	 {OBJ x41;
	  if(x_x32){
	   RPRD(x32,x41);CHGTG(x41,9);FRPRD(FLD(x41,2),1);FLD(x41,2)=x36;FREE(FLD(x41,3),1);FLD(x41,3)=x37;
	  }else{
	   FRPRD(x32,1);PRD(3,9,x41);FLD(x41,1)=x38;FLD(x41,2)=x36;FLD(x41,3)=x37;}
	  PRD(1,12,r);FLD(r,1)=x41;}}
       }else{
	HLT("Impl at <unknown> : undefined selection vars\'Impl:formula->seq");}}}}
   }else{
    HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
  }else{
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_28(OBJ x1,OBJ x2) /* modAllQuant'28 */
{OBJ r;
 {OBJ x3;OBJ x5;
  if(ISPRM(x1)){
   x3=__ABUILTIN_5;
  }else{
   FREE(x1,1);
   x3=__ABUILTIN_3;}
  if(ISTGPRM(x3,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x5=__ABUILTIN_5;
   }else{
    x5=__ABUILTIN_3;}
  }else{
   x5=__ABUILTIN_3;}
  if(ISTGPRM(x5,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    {OBJ x32=FLD(x2,1);
     CPPRD(x32,1);
     if(ISTGPRD(x32,8)){
      if(EXPRD(x32,1)){
       DSPRD(x32);
      }else{
       DCPRD(x32,1);}
      r=x2;
     }else{
      if(EXPRD(x2,1)){
       FRPRD(FLD(x2,1),1);DSPRDF(x2);
      }else{
       DCPRD(x2,1);}
      CPPRD(x32,2);
      {OBJ x36;OBJ x37;
       x36=_AImpl_92(x32);
       x37=_AImpl_84(x32);
       if(ISTGPRD(x32,9)){
	{OBJ x38;FLAG x_x32=EXPRD(x32,1);
	 if(x_x32){
	 }else{
	  x38=FLD(x32,1);COPY(x38,1);}
	 {OBJ x41;
	  if(x_x32){
	   RPRD(x32,x41);CHGTG(x41,8);FRPRD(FLD(x41,2),1);FLD(x41,2)=x36;FREE(FLD(x41,3),1);FLD(x41,3)=x37;
	  }else{
	   FRPRD(x32,1);PRD(3,8,x41);FLD(x41,1)=x38;FLD(x41,2)=x36;FLD(x41,3)=x37;}
	  PRD(1,12,r);FLD(r,1)=x41;}}
       }else{
	HLT("Impl at <unknown> : undefined selection vars\'Impl:formula->seq");}}}}
   }else{
    HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
  }else{
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_29(OBJ x1,OBJ x2) /* modQuant'29 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,2))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,2))){
    {OBJ x13=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x13,1);
      FRPRD(x1,1);}
     if(ISPRD(x2)&&(ISTGPRD(x2,12))){
      {OBJ x14=FLD(x2,1);
       if(EXPRD(x2,1)){
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 CPPRD(x15,1);
	 x16=_AImpl_84(x15);
	 PRD(3,8,x17);FLD(x17,1)=x13;FLD(x17,2)=x15;FLD(x17,3)=x16;
	 RPRD(x2,r);FLD(r,1)=x17;}
       }else{
	CPPRD(x14,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 CPPRD(x15,1);
	 x16=_AImpl_84(x15);
	 PRD(3,8,x17);FLD(x17,1)=x13;FLD(x17,2)=x15;FLD(x17,3)=x16;
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x17;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}}
   }else{
    HLT("Absy at <unknown> : undefined selection nSeq\'Absy:absy->seq");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_30(OBJ x1,OBJ x2) /* modEqual'30 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,14))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    {OBJ x57=FLD(x2,1);FLAG x_x2=EXPRD(x2,1);
     if(x_x2){
     }else{
      CPPRD(x57,1);}
     if(ISTGPRD(x57,1)){
      {OBJ x59=FLD(x57,2);
       CPPRD(x59,1);
       if(ISPRD(x1)&&(ISTGPRD(x1,14))){
	{OBJ x61=FLD(x1,1);
	 if(EXPRD(x1,1)){
	  DSPRDF(x1);
	 }else{
	  CPPRD(x61,1);
	  FRPRD(x1,1);}
	 {OBJ x62;OBJ x63;
	  x62=_AImpl_84(x57);
	  PRD(3,1,x63);FLD(x63,1)=x61;FLD(x63,2)=x59;FLD(x63,3)=x62;
	  if(x_x2){
	   RPRD(x2,r);FLD(r,1)=x63;
	  }else{
	   FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x63;}}}
       }else{
	HLT("Absy at <unknown> : undefined selection e\'Absy:absy->expr");}}
     }else{
      if(ISTGPRD(x57,2)){
       {OBJ x65=FLD(x57,2);
	CPPRD(x65,1);
	if(ISPRD(x1)&&(ISTGPRD(x1,14))){
	 {OBJ x67=FLD(x1,1);
	  if(EXPRD(x1,1)){
	   DSPRDF(x1);
	  }else{
	   CPPRD(x67,1);
	   FRPRD(x1,1);}
	  {OBJ x68;OBJ x69;
	   x68=_AImpl_84(x57);
	   PRD(3,2,x69);FLD(x69,1)=x67;FLD(x69,2)=x65;FLD(x69,3)=x68;
	   if(x_x2){
	    RPRD(x2,r);FLD(r,1)=x69;
	   }else{
	    FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x69;}}}
	}else{
	 HLT("Absy at <unknown> : undefined selection e\'Absy:absy->expr");}}
      }else{
       if(x_x2){
	DSPRDF(x2);
       }else{
	FRPRD(x2,1);}
       FREE(x1,1);
       FRPRD(x57,1);
       r=__AAbsy_2;}}}
   }else{
    HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
  }else{
   {OBJ x70;
    if(ISTGPRM(x4,1)){
     if(ISPRM(x2)){
      x70=__ABUILTIN_5;
     }else{
      FREE(x2,1);
      x70=__ABUILTIN_3;}
    }else{
     FREE(x2,1);
     x70=__ABUILTIN_3;}
    if(ISTGPRM(x70,1)){
     if(ISPRD(x1)&&(ISTGPRD(x1,14))){
      {OBJ x86=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
       if(x_x1){
	CPPRD(x86,1);
       }else{
	CPPRD(x86,2);}
       {OBJ x87;
	x87=_AImpl_10(x86);
	if(ISTGPRD(x86,2)){
	 {OBJ x88;FLAG x_x86=EXPRD(x86,1);
	  if(x_x86){
	  }else{
	   x88=FLD(x86,1);CPPRD(x88,1);}
	  {OBJ x90;
	   if(x_x86){
	    RPRD(x86,x90);CHGTG(x90,10);FREE(FLD(x90,2),1);FLD(x90,2)=x87;
	   }else{
	    FRPRD(x86,1);PRD(2,10,x90);FLD(x90,1)=x88;FLD(x90,2)=x87;}
	   if(x_x1){
	    RPRD(x1,r);CHGTG(r,12);FLD(r,1)=x90;
	   }else{
	    FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x90;}}}
	}else{
	 CPPRD(__APreDef_4,1);
	 {OBJ x91;
	  PRD(3,1,x91);FLD(x91,1)=x86;FLD(x91,2)=__APreDef_4;FLD(x91,3)=x87;
	  if(x_x1){
	   RPRD(x1,r);CHGTG(r,12);FLD(r,1)=x91;
	  }else{
	   FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x91;}}}}}
     }else{
      HLT("Absy at <unknown> : undefined selection e\'Absy:absy->expr");}
    }else{
     FREE(x1,1);
     r=__AAbsy_2;}}}}
 return r;}

extern OBJ _AModForm_31(OBJ x1,OBJ x2) /* modEqu'31 */
{OBJ r;
 r=_AModForm_21(x1,x2);
 return r;}

extern OBJ _AModForm_32(OBJ x1,OBJ x2) /* modIneq'32 */
{OBJ r;
 r=_AModForm_22(x1,x2);
 return r;}

extern OBJ _AModForm_33(OBJ x1,OBJ x2) /* modDfd'33 */
{OBJ r;
 r=_AModForm_23(x1,x2);
 return r;}

extern OBJ _AModForm_34(OBJ x1,OBJ x2) /* modNeg'34 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    {OBJ x12=FLD(x2,1);FLAG x_x2=EXPRD(x2,1);
     if(x_x2){
     }else{
      CPPRD(x12,1);}
     if(ISPRD(x1)&&(ISTGPRD(x1,16))){
      {OBJ x13=FLD(x1,1);
       if(EXPRD(x1,1)){
	DSPRDF(x1);
       }else{
	COPY(x13,1);
	FRPRD(x1,1);}
       {OBJ x14;OBJ x15;
	x14=x13;
	PRD(2,3,x15);FLD(x15,1)=x12;FLD(x15,2)=x14;
	if(x_x2){
	 RPRD(x2,r);FLD(r,1)=x15;
	}else{
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x15;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}}
   }else{
    HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_35(OBJ x1,OBJ x2) /* modAnd'35 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,16))){
    {OBJ x13=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
     if(x_x1){
     }else{
      COPY(x13,1);}
     if(ISPRD(x2)&&(ISTGPRD(x2,12))){
      {OBJ x14=FLD(x2,1);
       if(EXPRD(x2,1)){
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,4,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 RPRD(x2,r);FLD(r,1)=x17;}
       }else{
	CPPRD(x14,1);
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,4,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x17;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}}
   }else{
    HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_36(OBJ x1,OBJ x2) /* modOr'36 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,16))){
    {OBJ x13=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
     if(x_x1){
     }else{
      COPY(x13,1);}
     if(ISPRD(x2)&&(ISTGPRD(x2,12))){
      {OBJ x14=FLD(x2,1);
       if(EXPRD(x2,1)){
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,5,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 RPRD(x2,r);FLD(r,1)=x17;}
       }else{
	CPPRD(x14,1);
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,5,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x17;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}}
   }else{
    HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_37(OBJ x1,OBJ x2) /* modImply'37 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,16))){
    {OBJ x13=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
     if(x_x1){
     }else{
      COPY(x13,1);}
     if(ISPRD(x2)&&(ISTGPRD(x2,12))){
      {OBJ x14=FLD(x2,1);
       if(EXPRD(x2,1)){
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,6,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 RPRD(x2,r);FLD(r,1)=x17;}
       }else{
	CPPRD(x14,1);
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,6,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x17;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}}
   }else{
    HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_38(OBJ x1,OBJ x2) /* modEqv'38 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,16))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,16))){
    {OBJ x13=FLD(x1,1);FLAG x_x1=EXPRD(x1,1);
     if(x_x1){
     }else{
      COPY(x13,1);}
     if(ISPRD(x2)&&(ISTGPRD(x2,12))){
      {OBJ x14=FLD(x2,1);
       if(EXPRD(x2,1)){
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,7,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 RPRD(x2,r);FLD(r,1)=x17;}
       }else{
	CPPRD(x14,1);
	COPY(x13,1);
	{OBJ x15;OBJ x16;OBJ x17;
	 x15=x14;
	 if(x_x1){
	  RPRD(x1,x16);CHGTG(x16,11);
	 }else{
	  FRPRD(x1,1);PRD(1,11,x16);FLD(x16,1)=x13;}
	 PRD(3,7,x17);FLD(x17,1)=x16;FLD(x17,2)=x15;FLD(x17,3)=x13;
	 FRPRD(x2,1);PRD(1,12,r);FLD(r,1)=x17;}}}
     }else{
      HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}}
   }else{
    HLT("Absy at <unknown> : undefined selection p\'Absy:absy->pos");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}

extern OBJ _AModForm_39(OBJ x1,OBJ x2) /* modProp'39 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,12))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,12))){
    {OBJ x115=FLD(x2,1);
     CPPRD(x115,1);
     if(ISTGPRD(x115,4)){
      if(EXPRD(x2,1)){
       FRPRD(FLD(x2,1),1);DSPRDF(x2);
      }else{
       DCPRD(x2,1);}
      if(ISPRD(x1)&&(ISTGPRD(x1,12))){
       {OBJ x119=FLD(x1,1);
	if(EXPRD(x1,1)){
	 CPPRD(x115,1);
	 {OBJ x120;OBJ x121;OBJ x122;
	  x120=_AImpl_102(x115);
	  x121=_AImpl_84(x115);
	  PRD(3,4,x122);FLD(x122,1)=x119;FLD(x122,2)=x120;FLD(x122,3)=x121;
	  RPRD(x1,r);FLD(r,1)=x122;}
	}else{
	 CPPRD(x119,1);
	 CPPRD(x115,1);
	 {OBJ x120;OBJ x121;OBJ x122;
	  x120=_AImpl_102(x115);
	  x121=_AImpl_84(x115);
	  PRD(3,4,x122);FLD(x122,1)=x119;FLD(x122,2)=x120;FLD(x122,3)=x121;
	  FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x122;}}}
      }else{
       HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
     }else{
      if(ISTGPRD(x115,5)){
       if(EXPRD(x2,1)){
	FRPRD(FLD(x2,1),1);DSPRDF(x2);
       }else{
	DCPRD(x2,1);}
       if(ISPRD(x1)&&(ISTGPRD(x1,12))){
	{OBJ x126=FLD(x1,1);
	 if(EXPRD(x1,1)){
	  CPPRD(x115,1);
	  {OBJ x127;OBJ x128;OBJ x129;
	   x127=_AImpl_84(x115);
	   x128=_AImpl_102(x115);
	   PRD(3,5,x129);FLD(x129,1)=x126;FLD(x129,2)=x128;FLD(x129,3)=x127;
	   RPRD(x1,r);FLD(r,1)=x129;}
	 }else{
	  CPPRD(x126,1);
	  CPPRD(x115,1);
	  {OBJ x127;OBJ x128;OBJ x129;
	   x127=_AImpl_84(x115);
	   x128=_AImpl_102(x115);
	   PRD(3,5,x129);FLD(x129,1)=x126;FLD(x129,2)=x128;FLD(x129,3)=x127;
	   FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x129;}}}
       }else{
	HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
      }else{
       if(ISTGPRD(x115,6)){
	if(EXPRD(x2,1)){
	 FRPRD(FLD(x2,1),1);DSPRDF(x2);
	}else{
	 DCPRD(x2,1);}
	if(ISPRD(x1)&&(ISTGPRD(x1,12))){
	 {OBJ x133=FLD(x1,1);
	  if(EXPRD(x1,1)){
	   CPPRD(x115,1);
	   {OBJ x134;OBJ x135;OBJ x136;
	    x134=_AImpl_102(x115);
	    x135=_AImpl_84(x115);
	    PRD(3,6,x136);FLD(x136,1)=x133;FLD(x136,2)=x134;FLD(x136,3)=x135;
	    RPRD(x1,r);FLD(r,1)=x136;}
	  }else{
	   CPPRD(x133,1);
	   CPPRD(x115,1);
	   {OBJ x134;OBJ x135;OBJ x136;
	    x134=_AImpl_102(x115);
	    x135=_AImpl_84(x115);
	    PRD(3,6,x136);FLD(x136,1)=x133;FLD(x136,2)=x134;FLD(x136,3)=x135;
	    FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x136;}}}
	}else{
	 HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
       }else{
	if(ISTGPRD(x115,7)){
	 if(EXPRD(x2,1)){
	  FRPRD(FLD(x2,1),1);DSPRDF(x2);
	 }else{
	  DCPRD(x2,1);}
	 if(ISPRD(x1)&&(ISTGPRD(x1,12))){
	  {OBJ x140=FLD(x1,1);
	   if(EXPRD(x1,1)){
	    CPPRD(x115,1);
	    {OBJ x141;OBJ x142;OBJ x143;
	     x141=_AImpl_84(x115);
	     x142=_AImpl_102(x115);
	     PRD(3,7,x143);FLD(x143,1)=x140;FLD(x143,2)=x142;FLD(x143,3)=x141;
	     RPRD(x1,r);FLD(r,1)=x143;}
	   }else{
	    CPPRD(x140,1);
	    CPPRD(x115,1);
	    {OBJ x141;OBJ x142;OBJ x143;
	     x141=_AImpl_84(x115);
	     x142=_AImpl_102(x115);
	     PRD(3,7,x143);FLD(x143,1)=x140;FLD(x143,2)=x142;FLD(x143,3)=x141;
	     FRPRD(x1,1);PRD(1,12,r);FLD(r,1)=x143;}}}
	 }else{
	  HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
	}else{
	 FREE(x1,1);
	 FRPRD(x115,1);
	 r=x2;}}}}}
   }else{
    HLT("Absy at <unknown> : undefined selection f\'Absy:absy->formula");}
  }else{
   {OBJ x144;
    if(ISTGPRM(x4,1)){
     if(ISPRM(x2)){
      x144=__ABUILTIN_5;
     }else{
      FREE(x2,1);
      x144=__ABUILTIN_3;}
    }else{
     FREE(x2,1);
     x144=__ABUILTIN_3;}
    if(ISTGPRM(x144,1)){
     r=x1;
    }else{
     FREE(x1,1);
     r=__AAbsy_2;}}}}
 return r;}

extern OBJ _AModForm_40(OBJ x1) /* postCheckForm'40 */
{OBJ r;
 r=x1;
 return r;}

extern OBJ _AModForm_41(OBJ x1,OBJ x2) /* modSpec'41 */
{OBJ r;
 {OBJ x4;OBJ x6;
  if(ISPRD(x1)&&(ISTGPRD(x1,2))){
   x4=__ABUILTIN_5;
  }else{
   x4=__ABUILTIN_3;}
  if(ISTGPRM(x4,1)){
   if(ISPRD(x2)&&(ISTGPRD(x2,22))){
    x6=__ABUILTIN_5;
   }else{
    x6=__ABUILTIN_3;}
  }else{
   x6=__ABUILTIN_3;}
  if(ISTGPRM(x6,1)){
   if(ISPRD(x1)&&(ISTGPRD(x1,2))){
    {OBJ x16=FLD(x1,1);
     if(EXPRD(x1,1)){
      DSPRDF(x1);
     }else{
      COPY(x16,1);
      FRPRD(x1,1);}
     {OBJ x20;OBJ x23;
      if(ISPRD(x2)&&(ISTGPRD(x2,21))){
       {OBJ x18=FLD(x2,2);
	if(EXPRD(x2,1)){
	 x20=x18;
	 FREE(FLD(x2,1),1);DSPRDF(x2);
	}else{
	 CPPRD(x18,1);
	 x20=x18;
	 FRPRD(x2,1);}}
      }else{
       if(ISPRD(x2)&&(ISTGPRD(x2,22))){
	{OBJ x19=FLD(x2,1);
	 if(EXPRD(x2,1)){
	  x20=x19;
	  DSPRDF(x2);
	 }else{
	  CPPRD(x19,1);
	  x20=x19;
	  FRPRD(x2,1);}}
       }else{
	HLT("Absy at <unknown> : undefined selection spc\'Absy:absy->spc");}}
      if(ISPRM(x16)){
       HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
      }else{
       {OBJ x21=FLD1(x16,1);
	if(EXPRD(x16,1)){
	 x23=x21;
	 FREE(FLD1(x16,2),1);DSPRDF(x16);
	}else{
	 COPY(x21,1);
	 x23=x21;
	 FRPRD(x16,1);}}}
      PRD(2,21,r);FLD(r,1)=x23;FLD(r,2)=x20;}}
   }else{
    HLT("Absy at <unknown> : undefined selection nSeq\'Absy:absy->seq");}
  }else{
   FREE(x1,1);
   FREE(x2,1);
   r=__AAbsy_2;}}
 return r;}
















init_AModForm()
{
 static int visited=0; if(visited) return; visited=1;
 init_ARepTab();
 init_AZOpts();
 init_APErr();
 init_APCommon();
 init_APTypes();
 init_APreDef();
 init_AToken();
 init_ADenotation();
 init_AModBase();
 init_ASeqReduce();
 init_AAbsy();
 init_ASeqMap();
 init_ASeq();
 init_ADEBUG();
 init_AOcError();
 init_ASetByBST();
 init_ACom();
 init_ABSTree();
 init_ANat();
 init_ATree();
 init_AVoid();
 init_AArray();
 init_AOption();
 init_ASeqConv();
 init_AOcPos();
 init_ALexem();
 init_AString();
 init_AOcOptions();
 init_AChar();
 init_AStream();
 init_AFile();
 init_AInt();
 init_APragma();
 init_AFct();
 init_AStruct();
 init_AImpl();
 init_APartName();
 init_ARep();
 init_APair();
 init_ABitset();
 init_AGlobPragma();
 init_AMap();
 init_ASet();
 init_ATerminal();
 CLS(2,_AModForm_31,__AModForm_31);
 CLS(2,_AModForm_30,__AModForm_30);
 CLS(2,_AModForm_29,__AModForm_29);
 CLS(2,_AModForm_28,__AModForm_28);
 CLS(2,_AModForm_27,__AModForm_27);
 LCLS(1,_AModForm_26,__AModForm_26);
 DEN(" Expression ",__AModForm_25);
 CLS(1,_AModForm_24_c,__AModForm_24);
 CLS(2,_AModForm_23,__AModForm_23);
 CLS(2,_AModForm_22,__AModForm_22);
 CLS(2,_AModForm_21,__AModForm_21);
 CLS(2,_AModForm_41,__AModForm_41);
 CLS(1,_AModForm_40,__AModForm_40);
 CLS(2,_AModForm_39,__AModForm_39);
 CLS(2,_AModForm_38,__AModForm_38);
 CLS(2,_AModForm_37,__AModForm_37);
 CLS(2,_AModForm_36,__AModForm_36);
 CLS(2,_AModForm_35,__AModForm_35);
 CLS(2,_AModForm_34,__AModForm_34);
 CLS(2,_AModForm_33,__AModForm_33);
 CLS(2,_AModForm_32,__AModForm_32);
 CPCLS(__AModForm_27,1);
 PRD(1,0,__AModForm_1);FLD(__AModForm_1,1)=__AModForm_27;
 CPCLS(__AModForm_28,1);
 PRD(1,0,__AModForm_2);FLD(__AModForm_2,1)=__AModForm_28;
 CPCLS(__AModForm_29,1);
 PRD(1,0,__AModForm_3);FLD(__AModForm_3,1)=__AModForm_29;
 CPCLS(__AModForm_30,1);
 PRD(1,0,__AModForm_4);FLD(__AModForm_4,1)=__AModForm_30;
 CPCLS(__AModForm_31,1);
 PRD(1,0,__AModForm_5);FLD(__AModForm_5,1)=__AModForm_31;
 CPCLS(__AModForm_32,1);
 PRD(1,0,__AModForm_6);FLD(__AModForm_6,1)=__AModForm_32;
 CPCLS(__AModForm_33,1);
 PRD(1,0,__AModForm_7);FLD(__AModForm_7,1)=__AModForm_33;
 CPCLS(__AModForm_34,1);
 PRD(1,0,__AModForm_8);FLD(__AModForm_8,1)=__AModForm_34;
 CPCLS(__AModForm_35,1);
 PRD(1,0,__AModForm_9);FLD(__AModForm_9,1)=__AModForm_35;
 CPCLS(__AModForm_36,1);
 PRD(1,0,__AModForm_10);FLD(__AModForm_10,1)=__AModForm_36;
 CPCLS(__AModForm_37,1);
 PRD(1,0,__AModForm_11);FLD(__AModForm_11,1)=__AModForm_37;
 CPCLS(__AModForm_38,1);
 PRD(1,0,__AModForm_12);FLD(__AModForm_12,1)=__AModForm_38;
 CPCLS(__AModForm_39,1);
 PRD(1,0,__AModForm_13);FLD(__AModForm_13,1)=__AModForm_39;
 CPCLS(__AModForm_40,1);
 PRD(1,1,__AModForm_14);FLD(__AModForm_14,1)=__AModForm_40;
 CPCLS(__AModForm_41,1);
 PRD(1,0,__AModForm_15);FLD(__AModForm_15,1)=__AModForm_41;}

